Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.utils
Class Random

    java.lang.Object
      com.atlassian.bamboo.utils.Random

    public class Random

extends Object

This class generates random stuff!

Constructor Summary
`Random()`

Method Summary
`char` | `randomAlpha()` Generate a random alphabetic character - a-z or A-Z
`char` | `randomAlphaNumeric()` Generate a random alphanumeric character.
`char` | `randomNumeric()` Generate a random digit - from 0 - 9
`String` | `randomString(int length)` Generate a random string of characters and numbers
`String` | `randomString(int length, boolean includeNumbers)` Generate a random string of characters

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Random

    public Random()

Method Detail

### randomString

    public String randomString(int length)

  Generate a random string of characters and numbers

  Parameters:
    `length` - The size of the generated string

### randomString

    public String randomString(int length,
                               boolean includeNumbers)

  Generate a random string of characters

  Parameters:
    `length` - The size of the generated string
    `includeNumbers` - Should the string contain just alpha or alpha numeric charaters

### randomAlphaNumeric

    public char randomAlphaNumeric()

  Generate a random alphanumeric character.

### randomAlpha

    public char randomAlpha()

  Generate a random alphabetic character - a-z or A-Z

### randomNumeric

    public char randomNumeric()

  Generate a random digit - from 0 - 9

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.